Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zmeso.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zmeso.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zmeso.F90	(revision 12537)
@@ -8,6 +8,7 @@
    !!             3.4  !  2011-06  (O. Aumont, C. Ethe) Quota model for iron
    !!----------------------------------------------------------------------
-   !!   p4z_meso       : Compute the sources/sinks for mesozooplankton
-   !!   p4z_meso_init  : Initialization of the parameters for mesozooplankton
+   !!   p4z_meso        : Compute the sources/sinks for mesozooplankton
+   !!   p4z_meso_init   : Initialization of the parameters for mesozooplankton
+   !!   p4z_meso_alloc  : Allocate variables for mesozooplankton 
    !!----------------------------------------------------------------------
    USE oce_trc         ! shared variables between ocean and passive tracers
@@ -23,6 +24,7 @@
    PUBLIC   p4z_meso              ! called in p4zbio.F90
    PUBLIC   p4z_meso_init         ! called in trcsms_pisces.F90
-   PUBLIC   p4z_meso_alloc
-
+   PUBLIC   p4z_meso_alloc        ! called in trcini_pisces.F90
+
+   !! * Shared module variables
    REAL(wp), PUBLIC ::  part2        !: part of calcite not dissolved in mesozoo guts
    REAL(wp), PUBLIC ::  xpref2d      !: mesozoo preference for diatoms
@@ -46,6 +48,6 @@
    REAL(wp), PUBLIC ::  xfracmig     !: Fractional biomass of meso that performs DVM
    LOGICAL , PUBLIC ::  ln_dvm_meso  !: Boolean to activate DVM of mesozooplankton
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) :: depmig
-   INTEGER , ALLOCATABLE, SAVE, DIMENSION(:,:) :: kmig 
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) :: depmig  !: DVM of mesozooplankton : migration depth
+   INTEGER , ALLOCATABLE, SAVE, DIMENSION(:,:) :: kmig    !: Vertical indice of the the migration depth
 
    !!----------------------------------------------------------------------
@@ -61,4 +63,10 @@
       !!
       !! ** Purpose :   Compute the sources/sinks for mesozooplankton
+      !!                This includes ingestion and assimilation, flux feeding
+      !!                and mortality. We use a passive prey switching  
+      !!                parameterization.
+      !!                All living compartments smaller than mesozooplankton
+      !!                are potential preys of mesozooplankton as well as small
+      !!                sinking particles 
       !!
       !! ** Method  : - ???
@@ -68,13 +76,10 @@
       INTEGER  :: ji, jj, jk, jkt
       REAL(wp) :: zcompadi, zcompaph, zcompapoc, zcompaz, zcompam
-      REAL(wp) :: zgraze2 , zdenom, zdenom2
-      REAL(wp) :: zfact   , zfood, zfoodlim, zproport, zbeta
+      REAL(wp) :: zgraze2 , zdenom, zdenom2, zfact   , zfood, zfoodlim, zproport, zbeta
       REAL(wp) :: zmortzgoc, zfrac, zfracfe, zratio, zratio2, zfracal, zgrazcal
       REAL(wp) :: zepsherf, zepshert, zepsherq, zepsherv, zgrarsig, zgraztotc, zgraztotn, zgraztotf
       REAL(wp) :: zmigreltime, zprcaca, zmortz, zgrasrat, zgrasratn
-      REAL(wp) :: zrespz, ztortz, zgrazd, zgrazz, zgrazpof
-      REAL(wp) :: zgrazn, zgrazpoc, zgraznf, zgrazf
-      REAL(wp) :: zgrazfffp, zgrazfffg, zgrazffep, zgrazffeg
-      REAL(wp) :: zrum, zcodel, zargu, zval
+      REAL(wp) :: zrespz, ztortz, zgrazd, zgrazz, zgrazpof, zgrazn, zgrazpoc, zgraznf, zgrazf
+      REAL(wp) :: zgrazfffp, zgrazfffg, zgrazffep, zgrazffeg, zrum, zcodel, zargu, zval
       CHARACTER (len=25) :: charout
       REAL(wp), DIMENSION(jpi,jpj,jpk) :: zgrazing, zfezoo2
@@ -95,4 +100,5 @@
       !
       ! Diurnal vertical migration of mesozooplankton
+      ! Computation of the migration depth
       ! ---------------------------------------------
       IF (ln_dvm_meso) CALL p4z_meso_depmig
@@ -104,19 +110,29 @@
                zfact     = xstep * tgfunc2(ji,jj,jk) * zcompam
 
-               !  Respiration rates of both zooplankton
-               !  -------------------------------------
+               !  linear mortality of mesozooplankton
+               !  A michaelis menten modulation term is used to avoid extinction of 
+               !  mesozooplankton at very low food concentration. Mortality is
+ 
+               !  enhanced in low O2 waters
+               !  -----------------------------------------------------------------
                zrespz    = resrat2 * zfact * ( trb(ji,jj,jk,jpmes) / ( xkmort + trb(ji,jj,jk,jpmes) )  &
                &           + 3. * nitrfac(ji,jj,jk) )
 
-               !  Zooplankton mortality. A square function has been selected with
-               !  no real reason except that it seems to be more stable and may mimic predation
-               !  ---------------------------------------------------------------
+               !  Zooplankton quadratic mortality. A square function has been selected with
+               !  to mimic predation and disease (density dependent mortality). It also tends
+               !  to stabilise the model
+               !  -------------------------------------------------------------------------
                ztortz    = mzrat2 * 1.e6 * zfact * trb(ji,jj,jk,jpmes)  * (1. - nitrfac(ji,jj,jk) )
-               !
+
+               !   Computation of the abundance of the preys
+               !   A threshold can be specified in the namelist
+               !   --------------------------------------------
                zcompadi  = MAX( ( trb(ji,jj,jk,jpdia) - xthresh2dia ), 0.e0 )
                zcompaz   = MAX( ( trb(ji,jj,jk,jpzoo) - xthresh2zoo ), 0.e0 )
                zcompapoc = MAX( ( trb(ji,jj,jk,jppoc) - xthresh2poc ), 0.e0 )
                ! Size effect of nanophytoplankton on grazing : the smaller it is, the less prone
-               ! it is to predation by mesozooplankton
+               ! it is to predation by mesozooplankton. We use a quota dependant parameterization
+               ! as a low quota indicates oligotrophic conditions which are charatcerized by
+               ! small cells
                ! -------------------------------------------------------------------------------
                zcompaph  = MAX( ( trb(ji,jj,jk,jpphy) - xthresh2phy ), 0.e0 ) &
@@ -124,5 +140,10 @@
 
                ! Mesozooplankton grazing
-               ! ------------------------
+               ! The total amount of food is the sum of all preys accessible to mesozooplankton 
+               ! multiplied by their food preference
+               ! A threshold can be specified in the namelist (xthresh2). However, when food 
+               ! concentration is close to this threshold, it is decreased to avoid the 
+               ! accumulation of food in the mesozoopelagic domain
+               ! -------------------------------------------------------------------------------
                zfood     = xpref2d * zcompadi + xpref2z * zcompaz + xpref2n * zcompaph + xpref2c * zcompapoc 
                zfoodlim  = MAX( 0., zfood - MIN( 0.5 * zfood, xthresh2 ) )
@@ -131,4 +152,8 @@
                zgraze2   = grazrat2 * xstep * tgfunc2(ji,jj,jk) * trb(ji,jj,jk,jpmes) * (1. - nitrfac(ji,jj,jk)) 
 
+               ! The grazing pressure on each prey is computed assuming passive switching. This 
+               ! is equivalent to assuming that mesozooplankton have an opportunistic feeding
+               ! behaviour.
+               ! -----------------------------------------------------------------------------
                zgrazd    = zgraze2  * xpref2d  * zcompadi  * zdenom2 
                zgrazz    = zgraze2  * xpref2z  * zcompaz   * zdenom2 
@@ -140,6 +165,7 @@
                zgrazpof  = zgrazpoc * trb(ji,jj,jk,jpsfe) / ( trb(ji,jj,jk,jppoc) + rtrn)
 
-               !  Mesozooplankton flux feeding on GOC
-               !  ----------------------------------
+               !  Mesozooplankton flux feeding on GOC and POC. The feeding pressure
+               ! is proportional to the flux
+               !  ------------------------------------------------------------------
                zgrazffeg = grazflux  * xstep * wsbio4(ji,jj,jk)      &
                &           * tgfunc2(ji,jj,jk) * trb(ji,jj,jk,jpgoc) * trb(ji,jj,jk,jpmes) &
@@ -150,11 +176,14 @@
                &           * (1. - nitrfac(ji,jj,jk))
                zgrazfffp = zgrazffep * trb(ji,jj,jk,jpsfe) / (trb(ji,jj,jk,jppoc) + rtrn)
-               !
+               
                zgraztotc = zgrazd + zgrazz + zgrazn + zgrazpoc + zgrazffep + zgrazffeg
-               ! Compute the proportion of filter feeders
+               ! Compute the proportion of filter feeders. It is assumed steady state.
+               ! ---------------------------------------------------------------------  
                zproport  = (zgrazffep + zgrazffeg)/(rtrn + zgraztotc)
+
                ! Compute fractionation of aggregates. It is assumed that 
                ! diatoms based aggregates are more prone to fractionation
                ! since they are more porous (marine snow instead of fecal pellets)
+               ! -----------------------------------------------------------------
                zratio    = trb(ji,jj,jk,jpgsi) / ( trb(ji,jj,jk,jpgoc) + rtrn )
                zratio2   = zratio * zratio
@@ -164,4 +193,5 @@
                zfracfe   = zfrac * trb(ji,jj,jk,jpbfe) / (trb(ji,jj,jk,jpgoc) + rtrn)
 
+               ! Flux feeding is multiplied by the fractional biomass of flux feeders
                zgrazffep = zproport * zgrazffep
                zgrazffeg = zproport * zgrazffeg
@@ -176,6 +206,12 @@
                zgrazing(ji,jj,jk) = zgraztotc
 
-               !    Mesozooplankton efficiency
-               !    --------------------------
+               ! Mesozooplankton efficiency. 
+               ! We adopt a formulation proposed by Mitra et al. (2007)
+               ! The gross growth efficiency is controled by the most limiting nutrient.
+               ! Growth is also further decreased when the food quality is poor. This is currently
+               ! hard coded : it can be decreased by up to 50% (zepsherq)
+               ! GGE can also be decreased when food quantity is high, zepsherf (Montagnes and 
+               ! Fulton, 2012)
+               ! -----------------------------------------------------------------------------------
                zgrasrat  =  ( zgraztotf + rtrn )/ ( zgraztotc + rtrn )
                zgrasratn =  ( zgraztotn + rtrn )/ ( zgraztotc + rtrn )
@@ -189,4 +225,6 @@
                ! ---------------------------------------------
                zmortz = ztortz + zrespz
+               ! Mortality induced by the upper trophic levels, ztortz, is allocated 
+               ! according to a infinite chain of predators (ANderson et al., 2013)
                zmortzgoc = unass2 / ( 1. - epsher2 ) * ztortz + zrespz
                tra(ji,jj,jk,jpmes) = tra(ji,jj,jk,jpmes) - zmortz + zepsherv * zgraztotc
@@ -208,4 +246,5 @@
                tra(ji,jj,jk,jpbfe) = tra(ji,jj,jk,jpbfe) - zgrazfffg - zfracfe
                ! Calcite remineralization due to zooplankton activity
+               ! part2 of the ingested calcite is dissolving in the acidic gut
                zfracal = trb(ji,jj,jk,jpcal) / (trb(ji,jj,jk,jppoc) + trb(ji,jj,jk,jpgoc) + rtrn )
                zgrazcal = (zgrazffeg + zgrazpoc) * (1. - part2) * zfracal
@@ -218,7 +257,6 @@
                tra(ji,jj,jk,jptal) = tra(ji,jj,jk,jptal) - 2. * ( zgrazcal + zprcaca )
                tra(ji,jj,jk,jpcal) = tra(ji,jj,jk,jpcal) - zgrazcal + zprcaca
-                
-               ! Correct the fluxes for the effect of DVM
-               ! A fixed fraction of mesozooplankton is assumed to migrate
+ 
+               ! Computation of total excretion and egestion by mesozoo. 
                ! ---------------------------------------------------------
                zgrarem(ji,jj,jk) = zgraztotc * ( 1. - zepsherv - unass2 ) &
@@ -232,4 +270,8 @@
       END DO
 
+      ! Computation of the effect of DVM by mesozooplankton
+      ! This part is only activated if ln_dvm_meso is set to true
+      ! The parameterization has been published in Gorgues et al. (2019).
+      ! -----------------------------------------------------------------
       IF (ln_dvm_meso) THEN
          ALLOCATE( zgramigrem(jpi,jpj), zgramigref(jpi,jpj), zgramigpoc(jpi,jpj), zgramigpof(jpi,jpj) )
@@ -253,10 +295,11 @@
          END DO
 
-
+        ! Compute the amount of materials that will go into vertical migration
+        ! This fraction is sumed over the euphotic zone and is removed from 
+        ! the fluxes driven by mesozooplankton in the euphotic zone.
+        ! --------------------------------------------------------------------
          DO jk = 1, jpk
             DO jj = 1, jpj
                DO ji = 1, jpi
-
-                  !   Compute the amount of materials that will go into vertical migration
                   zmigreltime = (1. - zstrn(ji,jj))
                   IF ( gdept_n(ji,jj,jk) <= heup(ji,jj) ) THEN
@@ -279,4 +322,7 @@
          END DO
       
+         ! The inorganic and organic fluxes induced by migrating organisms are added at the 
+         ! the migration depth (corresponding indice is set by kmig)
+         ! --------------------------------------------------------------------------------
          DO jj = 1, jpj
             DO ji = 1, jpi
@@ -296,4 +342,5 @@
          DEALLOCATE( zstrn )
 
+      ! End of the ln_dvm_meso part
       ENDIF
 
@@ -302,4 +349,6 @@
             DO ji = 1, jpi
                !   Update the arrays TRA which contain the biological sources and sinks
+               !   This only concerns the variables which are affected by DVM (inorganic 
+               !   nutrients, DOC agands, and particulate organic carbon). 
                zgrarsig  = zgrarem(ji,jj,jk) * sigma2
                tra(ji,jj,jk,jppo4) = tra(ji,jj,jk,jppo4) + zgrarsig
@@ -324,4 +373,5 @@
       END DO
       !
+      ! Write the output
       IF( lk_iomput .AND. knt == nrdttrc ) THEN
          ALLOCATE( zw3d(jpi,jpj,jpk) )
@@ -364,5 +414,5 @@
       !! ** Purpose :   Initialization of mesozooplankton parameters
       !!
-      !! ** Method  :   Read the nampismes namelist and check the parameters
+      !! ** Method  :   Read the namp4zmes namelist and check the parameters
       !!      called at the first timestep (nittrc000)
       !!
@@ -383,8 +433,8 @@
       ENDIF
       !
-      REWIND( numnatp_ref )              ! Namelist nampismes in reference namelist : Pisces mesozooplankton
+      REWIND( numnatp_ref )              ! Namelist namp4zmes in reference namelist : Pisces mesozooplankton
       READ  ( numnatp_ref, namp4zmes, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namp4zmes in reference namelist' )
-      REWIND( numnatp_cfg )              ! Namelist nampismes in configuration namelist : Pisces mesozooplankton
+      REWIND( numnatp_cfg )              ! Namelist namp4zmes in configuration namelist : Pisces mesozooplankton
       READ  ( numnatp_cfg, namp4zmes, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namp4zmes in configuration namelist' )
@@ -427,6 +477,4 @@
       !!      temperature and chlorophylle following the parameterization 
       !!      proposed by Bianchi et al. (2013)
-      !!
-      !! ** input   :   
       !!----------------------------------------------------------------------
       INTEGER  :: ji, jj, jk
@@ -447,5 +495,5 @@
       ! Compute the averaged values of oxygen, temperature over the domain 
       ! 150m to 500 m depth.
-      !
+      ! ------------------------------------------------------------------
       DO jk =1, jpk
          DO jj = 1, jpj
@@ -462,4 +510,7 @@
       END DO
 
+      ! Compute the difference between surface values and the mean values in the mesopelagic
+      ! domain
+      ! ------------------------------------------------------------------------------------
       DO jj = 1, jpj
          DO ji = 1, jpi
@@ -472,5 +523,4 @@
       ! Bianchi et al. (2013)
       ! -------------------------------------------------------------------
-      !
       DO jj = 1, jpj
          DO ji = 1, jpi
@@ -484,5 +534,4 @@
       ! Computation of the corresponding jk indice 
       ! ------------------------------------------
-      ! 
       DO jk = 1, jpk-1
          DO jj = 1, jpj
@@ -501,5 +550,4 @@
       ! that it falls above the OMZ
       ! -----------------------------------------------------------------------
-      !
       DO ji =1, jpi
          DO jj = 1, jpj
@@ -530,5 +578,4 @@
    END FUNCTION p4z_meso_alloc
 
-
    !!======================================================================
 END MODULE p4zmeso
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zmicro.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zmicro.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p4zmicro.F90	(revision 12537)
@@ -22,4 +22,5 @@
    PRIVATE
 
+   !! * Shared module variables
    PUBLIC   p4z_micro         ! called in p4zbio.F90
    PUBLIC   p4z_micro_init    ! called in trcsms_pisces.F90
@@ -54,4 +55,9 @@
       !!
       !! ** Purpose :   Compute the sources/sinks for microzooplankton
+      !!                This includes ingestion and assimilation, flux feeding
+      !!                and mortality. We use a passive prey switching  
+      !!                parameterization.
+      !!                All living compartments smaller than microzooplankton
+      !!                are potential preys of mesozooplankton
       !!
       !! ** Method  : - ???
@@ -87,20 +93,35 @@
                zfact   = xstep * tgfunc2(ji,jj,jk) * zcompaz
 
-               !  Respiration rates of both zooplankton
-               !  -------------------------------------
+               !  linear mortality of mesozooplankton
+               !  A michaelis menten modulation term is used to avoid extinction of 
+               !  microzooplankton at very low food concentrations. Mortality is 
+               !  enhanced in low O2 waters
+               !  -----------------------------------------------------------------
                zrespz = resrat * zfact * trb(ji,jj,jk,jpzoo) / ( xkmort + trb(ji,jj,jk,jpzoo) )  &
                   &   + resrat * zfact * 3. * nitrfac(ji,jj,jk)
 
-               !  Zooplankton mortality. A square function has been selected with
-               !  no real reason except that it seems to be more stable and may mimic predation.
-               !  ---------------------------------------------------------------
+               !  Zooplankton quadratic mortality. A square function has been selected with
+               !  to mimic predation and disease (density dependent mortality). It also tends
+               !  to stabilise the model
+               !  -------------------------------------------------------------------------
                ztortz = mzrat * 1.e6 * zfact * trb(ji,jj,jk,jpzoo) * (1. - nitrfac(ji,jj,jk))
 
+               !   Computation of the abundance of the preys
+               !   A threshold can be specified in the namelist
+               !   Diatoms have a specific treatment. WHen concentrations 
+               !   exceed a certain value, diatoms are suppposed to be too 
+               !   big for microzooplankton.
+               !   --------------------------------------------------------
                zcompadi  = MIN( MAX( ( trb(ji,jj,jk,jpdia) - xthreshdia ), 0.e0 ), xsizedia )
                zcompaph  = MAX( ( trb(ji,jj,jk,jpphy) - xthreshphy ), 0.e0 )
                zcompapoc = MAX( ( trb(ji,jj,jk,jppoc) - xthreshpoc ), 0.e0 )
                
-               !     Microzooplankton grazing
-               !     ------------------------
+               ! Microzooplankton grazing
+               ! The total amount of food is the sum of all preys accessible to mesozooplankton 
+               ! multiplied by their food preference
+               ! A threshold can be specified in the namelist (xthresh). However, when food 
+               ! concentration is close to this threshold, it is decreased to avoid the 
+               ! accumulation of food in the mesozoopelagic domain
+               ! -------------------------------------------------------------------------------
                zfood     = xprefn * zcompaph + xprefc * zcompapoc + xprefd * zcompadi
                zfoodlim  = MAX( 0. , zfood - min(xthresh,0.5*zfood) )
@@ -109,4 +130,8 @@
                zgraze    = grazrat * xstep * tgfunc2(ji,jj,jk) * trb(ji,jj,jk,jpzoo) * (1. - nitrfac(ji,jj,jk))
 
+               ! The grazing pressure on each prey is computed assuming passive switching. This 
+               ! is equivalent to assuming that microzooplankton have an opportunistic feeding
+               ! behaviour.
+               ! -----------------------------------------------------------------------------
                zgrazp    = zgraze  * xprefn * zcompaph  * zdenom2 
                zgrazm    = zgraze  * xprefc * zcompapoc * zdenom2 
@@ -124,6 +149,12 @@
                zgrazing(ji,jj,jk) = zgraztotc
 
-               !    Various remineralization and excretion terms
-               !    --------------------------------------------
+               ! Microzooplankton efficiency. 
+               ! We adopt a formulation proposed by Mitra et al. (2007)
+               ! The gross growth efficiency is controled by the most limiting nutrient.
+               ! Growth is also further decreased when the food quality is poor. This is currently
+               ! hard coded : it can be decreased by up to 50% (zepsherq)
+               ! GGE can also be decreased when food quantity is high, zepsherf (Montagnes and 
+               ! Fulton, 2012)
+               ! -----------------------------------------------------------------------------
                zgrasrat  = ( zgraztotf + rtrn ) / ( zgraztotc + rtrn )
                zgrasratn = ( zgraztotn + rtrn ) / ( zgraztotc + rtrn )
@@ -157,6 +188,4 @@
                tra(ji,jj,jk,jpdic) = tra(ji,jj,jk,jpdic) + zgrarsig
                tra(ji,jj,jk,jptal) = tra(ji,jj,jk,jptal) + rno3 * zgrarsig
-               !   Update the arrays TRA which contain the biological sources and sinks
-               !   --------------------------------------------------------------------
                zmortz = ztortz + zrespz
                tra(ji,jj,jk,jpzoo) = tra(ji,jj,jk,jpzoo) - zmortz + zepsherv * zgraztotc 
@@ -174,5 +203,6 @@
                tra(ji,jj,jk,jpsfe) = tra(ji,jj,jk,jpsfe) + ferat3 * zmortz - zgrazmf
                !
-               ! calcite production
+               ! Calcite remineralization due to zooplankton activity
+               ! part of the ingested calcite is dissolving in the acidic gut
                zprcaca = xfracal(ji,jj,jk) * zgrazp
                prodcal(ji,jj,jk) = prodcal(ji,jj,jk) + zprcaca  ! prodcal=prodcal(nanophy)+prodcal(microzoo)+prodcal(mesozoo)
@@ -224,8 +254,8 @@
       !! ** Purpose :   Initialization of microzooplankton parameters
       !!
-      !! ** Method  :   Read the nampiszoo namelist and check the parameters
+      !! ** Method  :   Read the namp4zzoo namelist and check the parameters
       !!                called at the first timestep (nittrc000)
       !!
-      !! ** input   :   Namelist nampiszoo
+      !! ** input   :   Namelist namp4zzoo
       !!
       !!----------------------------------------------------------------------
@@ -243,8 +273,8 @@
       ENDIF
       !
-      REWIND( numnatp_ref )              ! Namelist nampiszoo in reference namelist : Pisces microzooplankton
+      REWIND( numnatp_ref )              ! Namelist namp4zzoo in reference namelist : Pisces microzooplankton
       READ  ( numnatp_ref, namp4zzoo, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namp4zzoo in reference namelist' )
-      REWIND( numnatp_cfg )              ! Namelist nampiszoo in configuration namelist : Pisces microzooplankton
+      REWIND( numnatp_cfg )              ! Namelist namp4zzoo in configuration namelist : Pisces microzooplankton
       READ  ( numnatp_cfg, namp4zzoo, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namp4zzoo in configuration namelist' )
